- name: "Get Home Folder"
  shell: >
    getent passwd {{ ansible_user_id }} | cut -d: -f6
  changed_when: false
  register: user_home

- name: "Make sure tmux folder exists"
  file:
    path: "{{ user_home.stdout }}/.tmux"
    state: directory

- name: "Is TPM installed?"
  stat:
    path: "{{ user_home.stdout }}/.tmux/plugins/tpm"
  register: tpm_installed

- name: "Install TPM"
  shell: "git clone https://github.com/tmux-plugins/tpm ~/.tmux/plugins/tpm"
  when: not tpm_installed.stat.exists
